Name:           perl-ExtUtils-XSBuilder
Version:        0.28
Release:    1%{?dist}
Summary:        Modules that parse C header files and create XS glue code
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/ExtUtils-XSBuilder
Source0:        https://cpan.metacpan.org/modules/by-module/ExtUtils/ExtUtils-XSBuilder-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(Parse::RecDescent)
BuildRequires:  perl(strict)
BuildRequires:  perl(Tie::IxHash)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  perl(ExtUtils::testlib)
Requires:       perl(File::Find)
Requires:       perl(Tie::IxHash)

%description
ExtUtils::XSBuilder is a set of modules to parse C header files and create 
XS glue code and documentation out of it. Ideally this allows one to "write" 
an interface to a C library without coding a line. Since no C-API is ideal,
some adjustments are necessary most of the time. So to use this module you
must still be familiar with C and XS programming, but it removes a lot of
stupid work and copy&paste from you. Also when the C API changes, most
of the time you only have to rerun XSBuilder to get your new Perl API.

%prep
%setup -q -n ExtUtils-XSBuilder-%{version}
find . -type f | xargs chmod -c -x

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/ExtUtils/
%{_mandir}/man3/ExtUtils::XSBuilder.3*
%{_mandir}/man3/ExtUtils::XSBuilder::C::grammar.3*
%{_mandir}/man3/ExtUtils::XSBuilder::PODTemplate.3*
%{_mandir}/man3/ExtUtils::XSBuilder::ParseSource.3*
%{_mandir}/man3/ExtUtils::XSBuilder::WrapXS.3*
%{_mandir}/man3/ExtUtils::xsbuilder.osc2002.3*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.28-1
- initial build
